## cups 1.3.8-1maemo1

=== debian/changelog ===
cups (1.3.8-1maemo1) intrepid; urgency=low

  * Removed various dependencies.
  * Removed translated man pages.

 -- Jonas Hurrelmann <j@outpo.st>  Mon, 18 Aug 2008 21:27:48 +0200

cups (1.3.8-1) unstable; urgency=low

  * New upstream release: some 20 bug fixes, no new features (see
    http://www.cups.org/articles.php?L562 for details).
  * Dropped patches, accepted upstream:
    - empty_option_value_crash.dpatch
    - CVE-2008-1722.dpatch
    - glibc2.8_build.dpatch
    - HostNameLookups_values.dpatch
  * manpage-typos.dpatch: Most of this got applied to 1.3.8. The ".Sh" ->
    ".SS" fix only got applied to trunk, so backport these remaining ones.
  * manpage-translations.dpatch: Update to new upstream version.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Jul 2008 08:58:57 +0200

cups (1.3.7-9) unstable; urgency=low

  [ Martin Pitt ]
  * Update Turkish debconf translations, thanks Mert Dirik!
    (Closes: #489408)

  [ Till Kamppeter ]
  * Updated "Suggests:" for the "cups" package, replacing obsolete
    foomatic-filters-ppds by foomatic-db and foomatic-db-engine.
    (Closes: #286127)

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Jul 2008 09:49:08 +0200

cups (1.3.7-8) unstable; urgency=medium

  * Urgency medium due to RC bug fix (#487606).
  * debian/cups.init.d: Restart xprint on start/stop/reload. (Closes: #285332)
  * Add empty_option_value_crash.dpatch: Fix crash on cupsd.conf options
    without a value. (Closes: #250848)
  * Add glibc2.8_build.dpatch: Fix building with glibc 2.8.
  * debian/patches/00list: Sort patches by upstream status.
  * Add HostNameLookups_values.dpatch: Make possible values of HostNameLookups
    consistent to manpage and to other options in cupsd.conf. (Closes: #379014)
  * debian/patches/confdirperms.dpatch: Fix typo, thanks Nicolas François!
  * Add manpage-typos.dpatch: Fix various typos in manpages, thanks Nicolas
    François! (part of #478597)
  * Add manpage-translations.dpatch: Provide po4a infrastructure for
    translating mangpages, and add French manpage translations. Add po4a build
    dependency, and add translated manpages to debian/*.install. Thanks to
    Nicolas François! (Closes: #478597)
  * Add Slovak debconf translations, thanks to Ivan Masár. (Closes: #488906)
  * Add Romanian debconf translations, thanks to Eddy Petrișor.
    (Closes: #488597)
  * debian/cups.init.d: Test for executability of daemon, not merely its
    existence. (Closes: #488843)
  * debian/cups.prerm: Do not delete the /usr/lib/cups/backend/smb symlink on
    removal, it is owned by smbclient, not cups. (Closes: #487606)

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Jul 2008 11:58:47 +0200

cups (1.3.7-7) unstable; urgency=low

  * Provide transitional cupsys-common package, to ease apt-get dist-upgrade.
  * debian/cups.preinst: Run conffile transition for "install" as well, not
    just for "upgrade" (brown paperback for this thinko!), and also remove the
    old rc.d symlinks for cupsys. (Closes: #485514)
  * debian/control: Drop obsolete "gs-esp" alternative dependency.

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Jun 2008 16:32:33 +0200

cups (1.3.7-6) unstable; urgency=low

  * Rename the package to cups. This is the proper upstream name. Upstream has
    made it clear that the usual distro patches are not a trademark violation.
    This unbreaks all the documentation out there, which refers to "cups", not
    "cupsys" (including names of the init script), as well as unbreaks
    dependencies of openprinting.org's LSB printer driver packages.
    (Closes: #482296, LP: #233790)
  * debian/cups.{config,postinst}: Remove some old cruft.
  * debian/cups.preinst: Move conffiles to new names on upgrades, in a dpkg
    conffile question avoiding manner.
  * debian/cupsys.install: Install oopstops.{convs,types} in /etc/cups, they
    do not work in /usr/share/cups/mime (loaded too early). (Closes: #474109)

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 May 2008 00:32:17 +0200

cupsys (1.3.7-5) unstable; urgency=low

  * debian/cupsys-bsd.install: Remove daemon/cups-lpd. It really does not
    belong into -bsd.
  * debian/control: Add appropriate Conflicts/Replaces to older cupsys-bsd
    which shipped daemon/cups-lpd. (Closes: #477392)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2008 11:00:41 +0200

cupsys (1.3.7-4) unstable; urgency=high

  * debian/rules: Do not fail the build when the test suite fails on m68k and
    arm. It is currently unclear why these tests fail on these architectures,
    but that shouldn't block testing migration (given that the actual bugs
    existed before as well, they just didn't get caught during build).

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Apr 2008 18:34:35 +0200

cupsys (1.3.7-3) unstable; urgency=low

  * debian/copyright: Update to current reality. (Closes: #474176)
  * Drop usage of dh_movefiles, rename the remaining debian/*.files to
    debian/*.install. This also brings back the lost
    /usr/lib/cups/daemon/cups-lpd.
  * debian/libcupsimage2-dev.install: Add cups/i18n.h from upstream (not
    installed by upstream Makefiles any more). (Closes: #474922)
  * debian/rules: Drop lintian magic, current debhelper (dh_lintian) and cdbs
    support that now. Rename .lintian -> .lintian-overrides for this.
  * debian/cupsys.doc-base: Fix section.

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Apr 2008 12:28:25 +0200

cupsys (1.3.7-2) unstable; urgency=high

  [ Martin Pitt ]
  * debian/control: Add missing build dependency lsb-release. (LP: #211375)
    Also wrap long fields, so that they are easier to edit.
  * Drop pdftops-wait-eintr.dpatch, an improved version has been committed
    upstream. Integrate the upstream solution into pdftops-cups-1.4.dpatch.
  * Add pdftops-dont_fail_on_cancel.dpatch: Fix behavioural change in patch
    from STR #2780 which broke the test suite: When a job is cancelled, do not
    report a failure in the exit code of pdftops.

