## cups 1.3.8-maemo1

=== debian/changelog ===
cups (1.3.8-maemo1) stable-security; urgency=high

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Sat, 26 Jun 2010 22:40:00 +0200

cups (1.3.8-1+lenny7) stable-security; urgency=high

  * Non-maintainer upload by the security team
  * Fix several XSS issues in the CUPS admin web interface
    Fixes: CVE-2009-2820
    Thanks to Aaron Sigel and Marc Deslauriers

 -- Steffen Joeris <white@debian.org>  Fri, 06 Nov 2009 12:40:48 +1100

cups (1.3.8-1+lenny6) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix null pointer dereference on handling IPP_TAG_UNSUPPORTED
    leading to denial of service attacks (CVE-2009-0949).

 -- Nico Golde <nion@debian.org>  Mon, 25 May 2009 11:18:46 +0000

cups (1.3.8-1lenny5) stable-security; urgency=low

  * Add CVE-2009-0163_tiff_read_overflow.dpatch: Fix integer overflow induced
    heap buffer overflow in the _cupsImageReadTIFF() function. Discovered by
    iDefense. (CVE-2009-0163)
  * debian/rules: Remove group/other read permissions from the serial backend,
    so that it can run as root and thus is actually able to access /dev/ttyS*.
    In unstable this is fixed with a patch which relaxes the permissions
    checks, but that's too intrusive for a stable update. (Closes: #516945)

 -- Martin Pitt <mpitt@debian.org>  Sat, 04 Apr 2009 05:59:15 -0700

cups (1.3.8-1lenny4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to fix client request loop for large request over
    SSL. (closes: #506702)

 -- Bastian Blank <waldi@debian.org>  Tue, 13 Jan 2009 17:03:55 +0100

cups (1.3.8-1lenny4) unstable; urgency=high

  * High urgency due to security bug fix.
  * Add png-image-int-overflow.dpatch: Fix integer overflow in the PNG image
    reader (Closes: #507183, STR #2974, CVE-2008-5286)

 -- Martin Pitt <mpitt@debian.org>  Mon, 01 Dec 2008 17:33:18 -0800

cups (1.3.8-1lenny3) unstable; urgency=medium

  * Urgency medium because of RC bug fix.
  * debian/cups-bsd.postinst: Assume default printcap path (in /var/run/cups/)
    if not specified in cupsd.conf. This brings back the lost /etc/printcap
    for legacy applications. (Closes: #482186, LP: #282667)
  * hpgl-regression.dpatch: Replaced with version which got committed
    upstream.
  * Add runloop-backchannel-eof-spin.dpatch: Fix backend runloop spin on
    backchannel EOF (select() returns "ready for read" on EOF). This
    completely broke printing with e. g. HPJetDirect. Thanks to
    Samuel Thibault for tracking down the problem! (Closes: #489045)
  * debian/rules: Install the serial backend with 0744 permissions to make it
    run as root, since /dev/ttyS* are root:dialout and thus not accessible as
    user "lp". Thanks to Chanoch (Ken) Bloom. (One part of #506181)

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Nov 2008 09:05:35 +0100

cups (1.3.8-1lenny2) unstable; urgency=high

  * Urgency high due to security fixes.
  * debian/control: Package development moved to bzr, update Vcs- tags.
  * Add CVE-2008-3641_hpgl_filter_overflow.dpatch: Fix buffer overflow
    triggered by invalid number of pens in the HPGL filter. (CVE-2008-3641,
    STR #2911)
  * Add CVE-2008-3639_sgi_filter_overflow.dpatch: Fix buffer overflow due to
    unchecked boundary in the SGI filter. (CVE-2008-3639, STR #2918)
  * Add CVE-2008-3640_texttops_overflow.dpatch: Fix buffer overflow by
    specifying invalidly large or negative page metrics. (CVE-2008-3640,
    STR #2919)
  * Add hpgl-regression.dpatch: Revert the SP_select_pen() enumeration change
    introduced in STR #2911, because it changes the color mapping (e. g. "SP1"
    would now select a white pen instead of a black one, and "SP0" would not
    be valid at all any more). Also fix a remaining off-by-one loop. (STR
    #2966)
  * Add admin-fr-translation.dpatch: Update the French admin.tmpl, to have the
    missing "Find new printer" button and the "Subscriptions" section. Thanks
    to Yves-Alexis Perez! (Closes: #475270)

 -- Martin Pitt <mpitt@debian.org>  Sat, 11 Oct 2008 12:53:30 +0200

cups (1.3.8-1lenny1) unstable; urgency=medium

  Cherrypick bug fixes from trunk/experimental which need to go into Lenny.
  Urgency medium because of an RC bug fix.

  [ Johan Kiviniemi ]
  * Add cupsfilter-path-typo.dpatch: Fix a typo in scheduler/cupsfilter.c,
    which caused filters not to have /bin in their PATH.
  * debian/filters/pstopdf:
    - Do not log to /tmp/pstopdf.log. A user running the filter (e.g. via
      cupsfilter) made all other users (including cups itself) unable to run
      the filter because of no permission to open the logfile.
    - Put unquoted variables into quotes where appropriate.
    - Never create an outfile in the same directory as the given infile; the
      process might not have write access there.
    - set -e.

  [ Martin Pitt ]
  * Bump shlibs version for libcups2 and libcupsimage2. (Closes: #494168)
  * Add missing CVE and more verbose descriptions to security fixes to 1.3.6-1
    changelog.

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Sep 2008 08:33:58 +0200
