=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: cups
 Priority: optional
 Section: net
-Maintainer: Jonas Hurrelmann <j@outpo.st>
+Maintainer: Thomas Maass <inyourface@gmx.de>
 Standards-Version: 3.7.3
-Build-Depends: libtiff4-dev, libjpeg62-dev, zlib1g-dev,
- libpng12-dev, libgnutls-dev, libpaper-dev, 
+Build-Depends: libpam0g-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev,
+ libpng12-dev, libslp-dev, libgnutls-dev, libpaper-dev, libldap2-dev,
  debhelper (>= 5.0), po-debconf, cdbs (>= 0.4.27), sharutils, 
- dpatch (>= 1.11), libdbus-1-dev,
- libavahi-compat-libdnssd-dev, poppler-utils | xpdf-utils, lsb-release
-Uploaders: Jonas Hurrelmann <j@outpo.st>
-Vcs-Svn: svn://svn.debian.org/svn/pkg-cups/cupsys/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-cups/cupsys/trunk
+ dpatch (>= 1.11), libdbus-1-dev, libkrb5-dev | heimdal-dev,
+ libavahi-compat-libdnssd-dev, poppler-utils | xpdf-utils, lsb-release,
+ po4a (>= 0.29)
+Vcs-Bzr: bzr+ssh://bzr.debian.org/pkg-cups/cups/lenny
+Vcs-Browser: http://bazaar.launchpad.net/~pitti/cups/debian-lenny
 
 Package: libcups2
 Priority: optional
@@ -103,7 +103,7 @@
 Priority: optional
 Section: libdevel
 Architecture: any
-Depends: libcups2 (= ${binary:Version}), libgnutls-dev
+Depends: libcups2 (= ${binary:Version}), libgnutls-dev, libkrb5-dev | heimdal-dev
 Conflicts: libcupsys2-dev (<< 1.3.7-6)
 Replaces: libcupsys2-dev (<< 1.3.7-6)
 Provides: libcupsys2-dev
@@ -204,72 +204,3 @@
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
 
-Package: cupsys
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: cupsys-client
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups-client
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: cupsys-common
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups-common
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: cupsys-bsd
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups-bsd
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: cupsys-dbg
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: cups-dbg
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: libcupsys2
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: libcups2
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
-
-Package: libcupsys2-dev
-Priority: extra
-Section: oldlibs
-Architecture: all
-Depends: libcups2-dev
-Description: Common UNIX Printing System (transitional package)
- This is a dummy package to ease transition to new package name.
-  .
-  It can be safely removed from your system.
