## cups 1.3.8-maemo2

=== debian/changelog ===
cups (1.3.8-maemo2) stable-security; urgency=high

  * fixex dependency of cups-bsd (update-inetd to netbase)

 -- Thomas Maass <inyourface@gmx.de>  Thu, 01 Jul 2010 19:58:00 +0200
