=== debian/control ===
--- 
+++ 
@@ -146,7 +146,7 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, cups-client (= ${binary:Version}),
- debconf | debconf-2.0, update-inetd, cups-common
+ debconf | debconf-2.0, netbase, cups-common
 Recommends: cups
 Conflicts: lpr, lprng, cupsys-bsd (<< 1.3.7-6)
 Replaces: lpr, cupsys-bsd (<< 1.3.7-6)
