=== debian/watch ===
version=3
ftp://ftp.easysw.com/pub/cups/([\d\.]+)/cups-(.*)-source\.tar\.gz \
	debian uupdate --no-symlink
