## cups 1.3.8-maemo3

=== debian/changelog ===
cups (1.3.8-maemo3) stable-security; urgency=high

  * removed dependency to ssl-cert
  * added upstart-script

 -- Thomas Maass <inyourface@gmx.de>  Thu, 02 Jul 2010 16:42:00 +0200
