=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
 Depends: ${shlibs:Depends}, debconf (>= 1.2.9) | debconf-2.0,
  poppler-utils | xpdf-utils, perl-modules, procps, 
  ghostscript, lsb-base (>= 3), cups-common,  
- ssl-cert (>= 1.0.11), adduser
+ adduser
 Recommends: cups-client, smbclient (>= 3.0.9), foomatic-filters, avahi-utils
 Suggests: cups-bsd, cups-driver-gutenprint, foomatic-db-engine, foomatic-db,
  hplip, xpdf-korean | xpdf-japanese | xpdf-chinese-traditional | xpdf-chinese-simplified,
