=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,9 @@
 	# Make the serial backend run as root, since /dev/ttyS* are
 	# root:dialout and thus not accessible as user lp
 	chmod go-rx debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/serial
+	
+	#upstart-script
+	cp $(CURDIR)/debian/cups-event.d $(CURDIR)/debian/cups/etc/event.d/cups
 
 binary-post-install/libcupsimage2-dev::
 	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
