## cups 1.3.8-maemo4

=== debian/changelog ===
cups (1.3.8-maemo4) stable-security; urgency=high

  * New Debian package.
  * Removed --previous option from po4a.
  * run-stp-tests.sh always successful
  * Removed dependency debconf-2.0

 -- Thomas Maass <mase@setho.org>  Mon, 21 Feb 2011 20:18:00 +0200

cups (1.3.8-1+lenny8) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix loading of localized message string from arbitrary files
    through exporting the LOCALEDIR environment variable when lppasswd
    has a setuid bit set (CVE-2010-0393).

 -- Nico Golde <nion@debian.org>  Tue, 01 Mar 2010 14:06:40 +0000
