=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cups
 Priority: optional
 Section: net
-Maintainer: Thomas Maass <inyourface@gmx.de>
+Maintainer: Thomas Maass <mase@setho.org>
 Standards-Version: 3.7.3
 Build-Depends: libpam0g-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev,
  libpng12-dev, libslp-dev, libgnutls-dev, libpaper-dev, libldap2-dev,
@@ -55,7 +55,7 @@
 Priority: optional
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, debconf (>= 1.2.9) | debconf-2.0,
+Depends: ${shlibs:Depends}, debconf (>= 1.2.9),
  poppler-utils | xpdf-utils, perl-modules, procps, 
  ghostscript, lsb-base (>= 3), cups-common,  
  adduser
@@ -146,7 +146,7 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, cups-client (= ${binary:Version}),
- debconf | debconf-2.0, netbase, cups-common
+ debconf, netbase, cups-common
 Recommends: cups
 Conflicts: lpr, lprng, cupsys-bsd (<< 1.3.7-6)
 Replaces: lpr, cupsys-bsd (<< 1.3.7-6)
@@ -203,4 +203,3 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
-
