=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,11 @@
 DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend-available
 DEB_DH_COMPRESS_ARGS := -Xusr/share/doc/libcups2-dev/examples/scripting
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
+ifneq ($(findstring $(DEB_BUILD_ARCH), arm m68k),)
+DEB_MAKE_CHECK_TARGET := check || true
+else
+DEB_MAKE_CHECK_TARGET := check
+endif
 LDFLAGS := -Wl,--as-needed
 
 common-post-build-arch::
@@ -71,7 +76,7 @@
 	# Make the serial backend run as root, since /dev/ttyS* are
 	# root:dialout and thus not accessible as user lp
 	chmod go-rx debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/serial
-	
+
 	#upstart-script
 	cp $(CURDIR)/debian/cups-event.d $(CURDIR)/debian/cups/etc/event.d/cups
