## cups 1.3.8-maemo5

=== debian/changelog ===
cups (1.3.8-maemo5) stable-security; urgency=high

  * Fixed docs.
  * Removed ldap support.
  * Changed dependency libkrb5-dev to comerr-dev.

 -- Thomas Maass <mase@setho.org>  Thu, 24 Feb 2011 16:21:00 +0200
