## cups 1.3.8-maemo7

=== debian/changelog ===
cups (1.3.8-maemo7) stable-security; urgency=high

  * Removed optification, which made too many problems.

 -- Thomas Maass <mase@setho.org>  Sun, 27 Feb 2011 13:16:00 +0200

cups (1.3.8-maemo6) stable-security; urgency=high

  * Added README.Maemo.

 -- Thomas Maass <mase@setho.org>  Thu, 24 Feb 2011 20:37:00 +0200
